Skip to main content
`Ctrl`+`K`

# MATMPIDENSECUDA

“mpidensecuda” - A matrix type to be used for distributed dense matrices on GPUs.

## Options Database Key

- -mat_type mpidensecuda - sets the matrix type to `MATMPIDENSECUDA` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATDENSECUDA`, `MATMPIDENSE`, `MATSEQDENSE`, `MATSEQDENSECUDA`, `MATSEQDENSEHIP`

## Level

beginner

## Location

src/mat/impls/dense/mpi/cupm/cuda/matmpidensecuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages